<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\HildenVHS\HonorarPdf;

class HonorarAbrechnungDialogPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getViewModel()
  {
    $result = new HonorarAbrechnungDialogViewModel();
    $result->kurs = $this->useCaseResponse->kurs;
    $result->kurstage = $this->useCaseResponse->kurstage;
    $result->dozent = $this->useCaseResponse->dozent;
    $result->entfernung = $this->useCaseResponse->entfernung ?? null;
    $result->toolId = $this->useCaseResponse->toolId;

    return $result;
  }

  
  protected function getView()
  {
    return new HonorarAbrechnungDialogView($this->getViewModel());
  }
}